## LED Control
To automatically control the LED state during the measurement, you can 
use a LED script.
The LED script is a simple text file with lines in this format:  
`<duration> <led state>`  
The script starts at the top, applies `<led state>` for `<duration>` and moves to the next line.

- `<duration>`: Integer, time in seconds. Alternatively, you may append `s`, `m` or `h`, for seconds, minutes, hours.
- `<led state>`: LED brightness in percent. Can be an integer between 0-100 or `on` or `off`. 
  Numbers between 1-99 may only be used if the LED controller supports that (the Arduino/LEDD1B does not).

Comments may start with `#`. Leading and trailing whitespaces as well as empty lines are ignored.

### Example
```
# turn on (100%) for 20 seconds
20 on
5 off# comments after statements allowed
5 100     # whitespace before comments after statements allowed
# turn off for 5 seconds
5s 0
# set to 65% for 1 minute
1m 65
# turn off for 1 minute and 10 seconds
1m10s off
# turn on off for 1 hour, 5 minutes and 45 seconds
1h5m45s on
```

### Live changes
The script can be adapted during the measurement in two ways:
First, in the GUI through the table in the `LED Script` tab on the left.
Second, by modifying the text file that was loaded (requires "Watch LED Script" checkbox to be ticked).

You can:
- change any LED value
- change durations of future steps
- add/remove future lines (currently only by modifying the file)

You can not:
- change steps from the past 
- make the current step so short that it would be skipped